import { Chain } from '@wormhole-foundation/sdk';
import { Alignment } from '../components/Header';
export type UiConfig = {
    title: string;
    cta?: {
        text: string;
        link: string;
    };
    explorer?: ExplorerConfig;
    defaultInputs?: DefaultInputs;
    cctpWarning: string;
    pageHeader?: string | PageHeader;
    pageSubHeader?: string;
    menu: MenuEntry[];
    searchTx?: SearchTxConfig;
    moreTokens?: MoreTokenConfig;
    moreChains?: MoreChainConfig;
    partnerLogo?: string;
    walletConnectProjectId?: string;
    showHamburgerMenu: boolean;
    previewMode?: boolean;
};
export interface DefaultInputs {
    fromChain?: Chain;
    toChain?: Chain;
    tokenKey?: string;
    requiredChain?: Chain;
}
export type ExplorerConfig = {
    href: string;
    label?: string;
    target?: '_blank' | '_self';
};
export type PageHeader = {
    text: string;
    align: Alignment;
};
export type SearchTxConfig = {
    txHash?: string;
    chainName?: string;
};
export type MoreTokenConfig = {
    label: string;
    href: string;
    target?: '_blank' | '_self';
};
export type MoreChainConfig = {
    href: string;
    target?: '_blank' | '_self';
    description: string;
    chains: MoreChainDefinition[];
};
export type MoreChainDefinition = {
    icon: string;
    href?: string;
    label: string;
    name?: string;
    description?: string;
    target?: '_blank' | '_self';
    showOpenInNewIcon?: boolean;
};
export interface MenuEntry {
    label: string;
    href: string;
    target?: string;
    order?: number;
}
export declare function createUiConfig(customConfig: Partial<UiConfig>): UiConfig;
//# sourceMappingURL=ui.d.ts.map